function obr_vyrez=orez(obr,vyber)
%% Orez obrazu
switch vyber
    case 'Automaticky orez'
        % Automaticky orez snimku
        obr_pom=obr;
        %Vyhlazeni medianovym filtrem
        obr_pom=medfilt2(obr_pom, [5 5]);
        %Zaokrouhleni vysokych hodnot na 1
        obr_pom(obr_pom>0.95)=1;
        [vyska,sirka]=size(obr);
        zleva=0;
        zprava=0;
        %Zjisteni hranic snimku
        for a=1:floor(sirka/2)
            if obr_pom(floor(vyska/3),a)==1
                zleva=zleva+1;
            else
                break
            end
        end
        for a=1:floor(sirka/2)
            if obr_pom(floor(vyska/3),sirka-a)==1
                zprava=zprava+1;
            else
                break
            end
        end
        %Orez snimku
        obr_vyrez=obr(:,zleva:sirka-zprava);
    case 'Manualni orez'
        %Vypsani upozorneni na manualni vyber
        f = warndlg('Vyberte oblast gelu tazenim mysi a potvrdte dvojitym klikem na hranu vybrane oblasti', 'Upozorneni');
        drawnow     
        waitfor(f);
        %Manualni vyber oblasti gelu
        obr_vyrez=imcrop(obr);
    otherwise
        errordlg('Spatne zadana metoda orezu snimku');
end